/**
* GMyth Library
*
* @file gmyth/gmyth_util.h
* 
* @brief <p> This component provides utility functions.
* 
* Copyright (C) 2006 INdT - Instituto Nokia de Tecnologia.
* @author Hallyson Luiz de Morais Melo <hallyson.melo@indt.org.br>
*
*//*
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef GMYTH_UTIL_H_
#define GMYTH_UTIL_H_

#include <time.h>
#include <glib.h>

#include "gmyth_stringlist.h"

G_BEGIN_DECLS

GString *   gmyth_util_time_to_isoformat(time_t time_value);
GString *   gmyth_util_time_to_string   (time_t time_value);
time_t      gmyth_util_string_to_time   (GString* time_str);
guint64     gmyth_util_decode_long_long (GMythStringList *strlist, 
                                         guint offset);
G_END_DECLS
	
#endif /*GMYTH_UTIL_H_*/
